Skip to main content
GET
/
beta
/
svm
/
portfolio
/
positions
/
{userAddress}
List SVM positions
curl --request GET \
  --url https://api.vaults.fyi/beta/svm/portfolio/positions/{userAddress} \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "address": "<string>",
      "name": "<string>",
      "asset": {
        "address": "<string>",
        "name": "<string>",
        "symbol": "<string>",
        "decimals": 123,
        "balanceNative": "<string>",
        "balanceUsd": "<string>",
        "unclaimedNative": "<string>",
        "unclaimedUsd": "<string>",
        "assetLogo": "<string>"
      },
      "apy": {
        "base": 123,
        "reward": 123,
        "total": 123
      },
      "protocol": {
        "name": "<string>",
        "product": "<string>",
        "version": "<string>",
        "protocolLogo": "<string>"
      }
    }
  ]
}

Authorizations

x-api-key
string
header
required

Path Parameters

userAddress
string
required

User wallet address. On SVM, this is the wallet account public key.

Pattern: ^[1-9A-HJ-NP-Za-km-z]{32,44}$

Query Parameters

apyInterval
enum<string>
default:7day

Interval for APY data. Possible values: 1day, 7day, 30day

Available options:
1day,
7day,
30day
minUsdAssetValueThreshold
number
default:1

Minimum USD value of the position to be included

Required range: x >= 0

Response

Default Response

data
object[]
required